Skip to content

List 'BrfMembershipNotation'

Request

Security
customer_id and application_id and service_id and service_version_id and client_ct and client_object_id and client_secret
Query
_jsonlboolean
_order_byArray of strings
Example:_order_by=field_a,-field_b
_pageinteger, (int32), >= 1

Additional Validation Information:

This value must be set together with the following fields: _page_size

_page_sizeinteger, (int32)

Additional Validation Information:

This value must be set together with the following fields: _page

_slimboolean
_statisticsboolean
any_period_tagsArray of any
any_period_tags!Array of any
customer_columnsArray of any
expired_tagsArray of any
expired_tags!Array of any
future_tagsArray of any
future_tags!Array of any
global_realestatesArray of any
global_segmentsArray of any
tagsArray of any
tags!Array of any
automaticany

Filter can be negated by adding a ! to the end of the parameter name.

Additional operators:

Operator: in, Supports negation (via !): True

Operator: isnull, Supports negation (via !): True

brf_companyany

Filter can be negated by adding a ! to the end of the parameter name.

Additional operators:

Operator: in, Supports negation (via !): True

Operator: isnull, Supports negation (via !): True

created_atany

Filter can be negated by adding a ! to the end of the parameter name.

Additional operators:

Operator: gt, Supports negation (via !): True

Operator: gte, Supports negation (via !): True

Operator: in, Supports negation (via !): True

Operator: isnull, Supports negation (via !): True

Operator: lt, Supports negation (via !): True

Operator: lte, Supports negation (via !): True

custom_idany

Filter can be negated by adding a ! to the end of the parameter name.

Additional operators:

Operator: contains, Supports negation (via !): True

Operator: endswith, Supports negation (via !): True

Operator: icontains, Supports negation (via !): True

Operator: iendswith, Supports negation (via !): True

Operator: iexact, Supports negation (via !): True

Operator: in, Supports negation (via !): True

Operator: isnull, Supports negation (via !): True

Operator: istartswith, Supports negation (via !): True

Operator: startswith, Supports negation (via !): True

from_dateany

Filter can be negated by adding a ! to the end of the parameter name.

Additional operators:

Operator: gt, Supports negation (via !): True

Operator: gte, Supports negation (via !): True

Operator: in, Supports negation (via !): True

Operator: isnull, Supports negation (via !): True

Operator: lt, Supports negation (via !): True

Operator: lte, Supports negation (via !): True

idany

Filter can be negated by adding a ! to the end of the parameter name.

Additional operators:

Operator: in, Supports negation (via !): True

Operator: isnull, Supports negation (via !): True

organizationany

Filter can be negated by adding a ! to the end of the parameter name.

Additional operators:

Operator: in, Supports negation (via !): True

Operator: isnull, Supports negation (via !): True

tenantany

Filter can be negated by adding a ! to the end of the parameter name.

Additional operators:

Operator: in, Supports negation (via !): True

Operator: isnull, Supports negation (via !): True

to_dateany

Filter can be negated by adding a ! to the end of the parameter name.

Additional operators:

Operator: gt, Supports negation (via !): True

Operator: gte, Supports negation (via !): True

Operator: in, Supports negation (via !): True

Operator: isnull, Supports negation (via !): True

Operator: lt, Supports negation (via !): True

Operator: lte, Supports negation (via !): True

GET
/brf/transactions/brfmembershipnotation/list/
curl -i -X GET \
  'https://dev.api.pigello.io/brf/transactions/brfmembershipnotation/list/?_jsonl=true&_order_by=field_a%2C-field_b&_page=1&_page_size=0&_search=string&_slim=true&_statistics=true&any_period_tags=&any_period_tags!=&customer_columns=&expired_tags=&expired_tags!=&future_tags=&future_tags!=&global_realestates=&global_segments=&tags=&tags!=&automatic=%7Bautomatic%7D&brf_company=%7Bbrf_company%7D&created_at=%7Bcreated_at%7D&custom_id=%7Bcustom_id%7D&from_date=%7Bfrom_date%7D&id=%7Bid%7D&organization=%7Borganization%7D&tenant=%7Btenant%7D&to_date=%7Bto_date%7D' \
  -H 'X-PIGELLO-APPLICATION-ID: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-CLIENT-CT: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-CLIENT-ENTITY: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-CLIENT-SECRET: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-CUSTOMER-ID: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-SERVICE-ID: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-SERVICE-VERSION-ID: YOUR_API_KEY_HERE'

Responses

Successful query

Bodyapplication/json
Array [
idstring, (uuid)read-onlyrequired

Additional Validation Information:

Must be unique

brf_companyobject(BrfCompany)required
tenantobject(Tenant)required
organizationobject or null(Organization)
custom_idstring or null, <= 128 characters
created_atstring, (date-time)read-only
automaticbooleanread-only
from_datestring or null, (date)

Additional Validation Information:

This value must be set in an proper order, in relation to the following fields: to_date

to_datestring or null, (date)

Additional Validation Information:

This value must be set in an proper order, in relation to the following fields: from_date

tagsanyread-only
customer_columnsanyread-only
]
Response
[ { "organization": { … }, "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "custom_id": "string", "created_at": "2019-08-24T14:15:22Z", "brf_company": { … }, "automatic": true, "from_date": "2019-08-24", "to_date": "2019-08-24", "tenant": { … }, "tags": null, "customer_columns": null } ]